
Figure - Bug #116274
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114577 (New): Launcher/SystemUI

【AF】【EVT3】【桌面管理】“设置快捷方式1x1”列表中的“自动旋转屏幕”选项应该移除
2023-02-15 18:05 - CD Test赵飞

Status: CLOSED Start date: 2023-02-15

Priority: Normal Due date:

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302150106

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302180012

Reproducibility: Every time Fixed Version: 2023-02-16

Test Type: ST Root cause: 设置功能裁剪遗漏。

Description

【前提条件】

1、设备已开机

【测试步骤】

1、长按桌面 - 添加微件

2、长按“设置快捷方式1x1”并拖拽至桌面

3、在弹出的列表中查看

【预期结果】

4、没有“自动旋转屏幕”选项

【实际结果】

4、存在“自动旋转屏幕”选项，且可以添加至桌面；添加成功后，多次点击此快捷方式，settings应用会发生Crash

【日志】

截图见附件

【备注】

“排定时间”选项也需要移除，此选项是地深色主题相关设置，深色主题在seetings中已移除

History

#1 - 2023-02-16 09:28 - CD APP-王营

- Category changed from CD-APP to CD-FW

- Assignee changed from CD APP-王营 to CD FW-廖涛

#2 - 2023-02-16 20:20 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

182301 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Remove shortcut network about, dark theme, auto rotate.TC-RID: 1201-0201813IssueID: TS-R-BUG-116274Change-Id:
I6004a480175c01e2e8349151f103c37dc5807951

#3 - 2023-02-16 20:25 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-16

- Root cause set to 设置功能裁剪遗漏。

■ Current conclusion

已处理，代码已入库。

■ My analysis

设置功能裁剪遗漏。

■ Next action

测试验证。

#4 - 2023-02-20 15:01 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302180012

2.20

确认“自动旋转屏幕”已经被裁剪

验证通过

#5 - 2023-02-20 15:01 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
